// Oleg Petruny proprietary.

#pragma once

#include "ResolutionResponsiveUserWidget.h"

#include "AutohideWidget.generated.h"

/**
 * Automatically hides itself after some period
 */
UCLASS()
class UAutohideWidget : public UResolutionResponsiveUserWidget
{
    GENERATED_BODY()

public:
    virtual void Show();

    UPROPERTY(Transient, meta = (BindWidgetAnim))
    class UWidgetAnimation* showAnimation;

protected:
    virtual void Hide();

    UPROPERTY(EditDefaultsOnly, meta = (ClampMin = "1.0"))
    float showDuration = 2.0;

    FTimerHandle showTimer;
};
